<?php

namespace Drupal\bs_slider\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining BS Slider entities.
 */
interface BsSliderConfigurationInterface extends ConfigEntityInterface {

  /**
   * Get BS Slider type.
   *
   * @return string
   *   BS Slider type.
   */
  public function getPluginId();

  /**
   * Set BS Slider type.
   *
   * @param string $type
   *   BS Slider type.
   */
  public function setPluginId($type);

  /**
   * Get options.
   *
   * @return array
   *   Options array.
   */
  public function getOptions();

  /**
   * Set options.
   *
   * @param array $options
   *   Options array.
   */
  public function setOptions(array $options);

  /**
   * Get specific option.
   *
   * @param array $option
   * @return mixed
   *   Option value if it exist or NULL.
   */
  public function getOption($option);

  /**
   * Set specific option.
   *
   * @param string $option
   *   Option name.
   * @param mixed $value
   *   Option value.
   */
  public function setOption($option, $value);

}
